PipeWire: spa_node_events Struct Reference

PipeWire 1.2.3

Loading...
Searching...
No Matches
Data Fields
spa_node_events Struct Reference
SPA » Node

events from the spa_node. More...

`#include <spa/node/node.h>`

## Data Fields
uint32_t | version
| version of this structure
void(* | info )(void *data, const struct spa_node_info *info)
| Emitted when info changes.
void(* | port_info )(void *data, enum spa_direction direction, uint32_t port, const struct spa_port_info *info)
| Emitted when port info changes, NULL when port is removed.
void(* | result )(void *data, int seq, int res, uint32_t type, const void *result)
| notify a result.
void(* | event )(void *data, const struct spa_event *event)

## Detailed Description

events from the spa_node.

All event are called from the main thread and multiple listeners can be registered for the events with spa_node_add_listener().

Examples
  export-sink.c, and export-source.c.

## Field Documentation

## ◆ version

uint32_t spa_node_events::version

version of this structure

## ◆ info

void(* spa_node_events::info) (void *data, const struct spa_node_info *info)

Emitted when info changes.

## ◆ port_info

void(* spa_node_events::port_info) (void *data, enum spa_direction direction, uint32_t port, const struct spa_port_info *info)

Emitted when port info changes, NULL when port is removed.

## ◆ result

void(* spa_node_events::result) (void *data, int seq, int res, uint32_t type, const void *result)

notify a result.

Some methods will trigger a result event with an optional result of the given type. Look at the documentation of the method to know when to expect a result event.

The result event can be called synchronously, as an event called from inside the method itself, in which case the seq number passed to the method will be passed unchanged.

The result event will be called asynchronously when the method returned an async return value. In this case, the seq number in the result will match the async return value of the method call. Users should match the seq number from request to the reply.

## ◆ event

void(* spa_node_events::event) (void *data, const struct spa_event *event)

Parameters

  node | a spa_node
  event | the event that was emitted

This will be called when an out-of-bound event is notified on node.

The documentation for this struct was generated from the following file:

- spa/node/node.h